editors/dte - The NetBSD Packages Collection

Small and easy to use console text editor

dte is a small and easy to use console text editor.

Features:

 - Multiple buffers/tabs
 - Unlimited undo/redo
 - Regex search and replace
 - Syntax highlighting
 - Customizable color schemes
 - Customizable key bindings
 - Support for all xterm Ctrl/Alt/Shift key codes
 - Command language with auto-completion
 - Unicode 11 compatible text rendering
 - Support for multiple encodings (using iconv)
 - Jump to definition (using ctags)
 - Jump to compiler error

Build dependencies

devel/gmake pkgtools/cwrappers

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfdte-1.9.1.tgz
NetBSD 8.0i386dte-1.9.1.tgz
NetBSD 8.0i386dte-1.9.1.tgz
NetBSD 8.0powerpcdte-1.9.1.tgz
NetBSD 8.0powerpcdte-1.9.1.tgz
NetBSD 8.0powerpcdte-1.9.1.tgz
NetBSD 8.0x86_64dte-1.9.1.tgz
NetBSD 8.0x86_64dte-1.9.1.tgz
NetBSD 9.0aarch64dte-1.9.1.tgz
NetBSD 9.0aarch64dte-1.9.1.tgz
NetBSD 9.0alphadte-1.9.1.tgz
NetBSD 9.0alphadte-1.9.1.tgz
NetBSD 9.0earmdte-1.9.1.tgz
NetBSD 9.0earmv6hfdte-1.9.1.tgz
NetBSD 9.0earmv6hfdte-1.9.1.tgz
NetBSD 9.0earmv6hfdte-1.9.1.tgz
NetBSD 9.0earmv7hfdte-1.9.1.tgz
NetBSD 9.0earmv7hfdte-1.9.1.tgz
NetBSD 9.0earmv7hfdte-1.9.1.tgz
NetBSD 9.0earmv7hfdte-1.9.1.tgz
NetBSD 9.0i386dte-1.9.1.tgz
NetBSD 9.0i386dte-1.9.1.tgz
NetBSD 9.0mips64ebdte-1.9.1.tgz
NetBSD 9.0mips64ebdte-1.9.1.tgz
NetBSD 9.0powerpcdte-1.9.1.tgz
NetBSD 9.0powerpcdte-1.9.1.tgz
NetBSD 9.0powerpcdte-1.9.1.tgz
NetBSD 9.0powerpcdte-1.9.1.tgz
NetBSD 9.0sparc64dte-1.9.1.tgz
NetBSD 9.0sparc64dte-1.9.1.tgz
NetBSD 9.0sparcdte-1.9.1.tgz
NetBSD 9.0sparcdte-1.9.1.tgz
NetBSD 9.0vaxdte-1.9.1.tgz
NetBSD 9.0x86_64dte-1.9.1.tgz
NetBSD 9.0x86_64dte-1.9.1.tgz
NetBSD 9.0x86_64dte-1.9.1.tgz
NetBSD 9.0x86_64dte-1.9.1.tgz
NetBSD 9.0x86_64dte-1.9.1.tgz
NetBSD 9.0x86_64dte-1.9.1.tgz
NetBSD 9.0x86_64dte-1.9.1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.